---
title: Increment (++)
slug: Web/JavaScript/Reference/Operators/Increment
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The increment operator (<code>++</code>) increments (adds one to) its operand and returns a value.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-increment.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><strong>Operator:</strong> <var>x</var>++ or ++<var>x</var>
</pre>

<h2 id="Description">Description</h2>

<p>If used postfix, with operator after operand (for example, <code><var>x</var>++</code>), the increment operator increments and returns the value before incrementing.</p>

<p>If used prefix, with operator before operand (for example, <code>++<var>x</var></code>), the increment operator increments and returns the value after incrementing.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Postfix_increment">Postfix increment</h3>

<pre class="brush: js notranslate">let x = 3;
y = x++;

// y = 3
// x = 4
</pre>

<h3 id="Prefix_increment">Prefix increment</h3>

<pre class="brush: js notranslate">let a = 2;
b = ++a;

// a = 3
// b = 3
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-postfix-increment-operator', 'Increment operator')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.increment")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Addition">Addition operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Subtraction">Subtraction operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Division">Division operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Multiplication">Multiplication operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Remainder">Remainder operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Exponentiation">Exponentiation operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Decrement">Decrement operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_negation">Unary negation operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_plus">Unary plus operator</a></li>
</ul>
